## sphinxcontrib-emojicodes 0.3.1

=== docs/requirements.txt ===
sphinx==2.1.0

=== debian/changelog ===
sphinxcontrib-emojicodes (0.3.1-2) unstable; urgency=medium

  * Improves suggests fields in d/control

 -- Julian Gilbey <jdg@debian.org>  Wed, 08 May 2024 20:42:08 +0100

sphinxcontrib-emojicodes (0.3.1-1) unstable; urgency=medium

  * Initial upload (closes: #1068556)

 -- Julian Gilbey <jdg@debian.org>  Mon, 08 Apr 2024 19:48:39 +0100

=== debian/control ===
Source: sphinxcontrib-emojicodes
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Section: python
Priority: optional
Standards-Version: 4.7.0
Homepage: https://github.com/sphinx-contrib/emojicodes
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               python3-sphinx
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-emojicodes.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-emojicodes
Rules-Requires-Root: no
Description: Sphinx extension to use emoji codes in Sphinx documentation
 This extension allows one to write things like |:smile:| in Sphinx
 documentation.

Package: python3-sphinxemoji
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-sphinxemoji-doc
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs the Sphinx extension library for Python 3.

Package: python-sphinxemoji-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-sphinxemoji
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains HTML documentation, including a list of
 recognised emojis.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME = sphinxemoji

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$$(pwd) make -C docs html
	# Privacy protection
	perl -i -p0e 's%<p>\n<iframe src="https://ghbtns.com/.*\n.*</iframe>\n</p>\n%%' docs/build/html/*.html
endif

override_dh_installdocs:
	dh_installdocs -ppython-sphinxemoji-doc --doc-main-package=python3-sphinxemoji
	dh_installdocs --remaining-packages

execute_after_dh_auto_clean:
	rm -rf docs/build

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/sphinx-contrib/emojicodes/tags?per_page=100 \
    https://api.github.com/repos/sphinx-contrib/emojicodes/tarball/refs/tags/@ANY_VERSION@
